<wo:Wrapper selectedTabId = "enseignements" selectedItemId = "$selectedItemId">
  <div id = "contenu">
    <fieldset style = "height:87%">
      <div class = "container">
        <h2><wo:string value = "UE flottantes" /></h2>
        
        <wo:AjaxUpdateContainer id = "$tableViewContainerId">
	        <wo:OffreFormationTreeTable rootNode = "$rootNode" selectedNode = "$selectedNode" listeCodesAP = "$listeCodesAP" updateContainerID = "$buttonsContainerId" 
	        menuSelectionne = "$selectedItemId"/>
        </wo:AjaxUpdateContainer>
        
        <br>
        
        <wo:AjaxUpdateContainer id = "$buttonsContainerId">
        <wo:if condition="$isModeConsultation">
        	<wo:form>
        		<wo:CktlSubmitButton type = "edit" action = "$ouvrirParentAP" text = "Détail" disabled = "$boutonsDisabled" />
        	</wo:form>
        </wo:if>        
        <wo:else>
			<wo:conditional condition = "$autorisation.hasDroitUtilisationUe">
				<wo:form>					
					<wo:CktlSubmitButton type = "add" text = "$session.localizer.application.boutonAjouter" action = "$ajouterUE"/>
					<wo:CktlSubmitButton type = "edit" text = "$session.localizer.application.boutonModifier" action = "$editerUE"  disabled = "$boutonsDisabled"/>
					<wo:CktlAjaxButton type = "delete" text = "$session.localizer.application.boutonSupprimer" action = "$supprimerUE"  disabled = "$boutonsDisabled"
            				updateContainerID = "$tableViewContainerId" onClickBefore = "$avantSupprimerUE"/>
        			<wo:CktlSubmitButton type = "edit" action = "$ouvrirParentAP" text = "Détail" disabled = "$boutonsDisabled" />
				</wo:form>
			</wo:conditional>
		</wo:else>	
        </wo:AjaxUpdateContainer>
      </div>
    </fieldset>
  </div>
</wo:Wrapper>